﻿using System.Collections.Generic;
using System.Windows;
using System.Windows.Documents;

namespace WpfApplication1
{
    public partial class TestTab : Window
    {
        public TestTab()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            List<DummyContainer>  list = new List<DummyContainer>();
            list.Add(new DummyContainer("ONE", "1"));
            list.Add(new DummyContainer("TWO", "2"));
            list.Add(new DummyContainer("THRE", "3"));
            list.Add(new DummyContainer("FOUR", "4"));
            list.Add(new DummyContainer("FIVE", "5"));

            xamDataGrid1.DataSource = list;
        }

        private void xamDataGrid1_InitializeRecord(object sender, Infragistics.Windows.DataPresenter.Events.InitializeRecordEventArgs e)
        {
            Infragistics.Windows.DataPresenter.DataRecord row = e.Record as Infragistics.Windows.DataPresenter.DataRecord;
            if (row == null) return;

            row.Cells["Value"].Value += " Modified in InitializeRecord";
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            txtDummy.Text = "";
            foreach (Infragistics.Windows.DataPresenter.DataRecord row in xamDataGrid1.Records)
            {
                txtDummy.Text += row.Cells["Value"].Value.ToString() + "\n";
            }
        }


        public class DummyContainer
        {
            public DummyContainer(string name, string value)
            {
                Name = name;
                Value = value;
            }

            public string Name { get; set; }
            public string Value { get; set; }
        }
    }
}
